upgrade failure

Bug #1549133 reported by Martin Pitt on 2016-02-24
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
lxd (Ubuntu)
Critical
Martin Pitt

Bug Description

Preparing to unpack .../lxd_2.0.0~beta4-0ubuntu1_amd64.deb ...
Warning: Stopping lxd.service, but it can still be activated by:
  lxd.socket
postinst called with unknown argument `upgrade'
dpkg: error processing archive /var/cache/apt/archives/lxd_2.0.0~beta4-0ubuntu1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Warning: Stopping lxd.service, but it can still be activated by:
  lxd.socket
[...]
Errors were encountered while processing:
 /var/cache/apt/archives/lxd_2.0.0~beta4-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Martin Pitt (pitti) wrote :

This breaks our autopkgtests pretty hard, I'll upload a fix immediately.

Changed in lxd (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Martin Pitt (pitti)
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxd - 2.0.0~beta4-0ubuntu2

---------------
lxd (2.0.0~beta4-0ubuntu2) xenial; urgency=medium

  * debian/lxd.preinst: Add missing check for $1 == "upgrade".
    (LP: #1549133)

 -- Martin Pitt <email address hidden> Wed, 24 Feb 2016 07:52:22 +0100

Changed in lxd (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers